--- old/usr/src/uts/i86pc/os/mp_implfuncs.c	Fri Aug 10 23:19:17 2018
+++ new/usr/src/uts/i86pc/os/mp_implfuncs.c	Fri Aug 10 23:19:17 2018
@@ -32,11 +32,6 @@
 #include <sys/psm_modctl.h>
 #include <sys/smp_impldefs.h>
 #include <sys/reboot.h>
-#if defined(__xpv)
-#include <sys/hypervisor.h>
-#include <vm/kboot_mmu.h>
-#include <vm/hat_pte.h>
-#endif
 
 /*
  *	External reference functions
@@ -213,20 +208,7 @@
 		return (0);
 
 	pgoffset = addr & MMU_PAGEOFFSET;
-#ifdef __xpv
-	/*
-	 * If we're dom0, we're starting from a MA. translate that to a PA
-	 * XXPV - what about driver domains???
-	 */
-	if (DOMAIN_IS_INITDOMAIN(xen_info)) {
-		base = pfn_to_pa(xen_assign_pfn(mmu_btop(addr))) |
-		    (addr & MMU_PAGEOFFSET);
-	} else {
-		base = addr;
-	}
-#else
 	base = addr;
-#endif
 	npages = mmu_btopr(len + pgoffset);
 	cvaddr = device_arena_alloc(ptob(npages), VM_NOSLEEP);
 	if (cvaddr == NULL)
@@ -345,11 +327,7 @@
 	return (0);
 }
 
-#if defined(__xpv)
-#define	DEFAULT_PSM_MODULE	"xpv_uppc"
-#else
 #define	DEFAULT_PSM_MODULE	"uppc"
-#endif
 
 static char *
 psm_get_impl_module(int first)
@@ -390,12 +368,6 @@
 	close_mach_list();
 }
 
-#if defined(__xpv)
-#define	NOTSUP_MSG "This version of Solaris xVM does not support this hardware"
-#else
-#define	NOTSUP_MSG "This version of Solaris does not support this hardware"
-#endif	/* __xpv */
-
 void
 psm_install(void)
 {
@@ -429,7 +401,7 @@
 	}
 	mutex_exit(&psmsw_lock);
 	if (psmcnt == 0)
-		halt(NOTSUP_MSG);
+		halt("This hardware is not supported by current OS version");
 	(*psminitf)();
 }
 
